Gmagick::stripimage
Gmagick::thumbnailimage
Gmagick
PHP Manual

# Gmagick::swirlimage

(PECL gmagick >= Unknown)

Gmagick::swirlimage — Swirls the pixels about the center of the image

### Description

public Gmagick Gmagick::swirlimage ( float `$degrees` )

Swirls the pixels about the center of the image, where degrees indicates the sweep of the arc through which each pixel is moved. You get a more dramatic effect as the degrees move from 1 to 360.

### Parameters

`degrees`

  Define the tightness of the swirling effect.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::stripimage
Gmagick::thumbnailimage
Gmagick
PHP Manual